=== debian/changelog ===
luakit (1:2.1-2) unstable; urgency=medium

  [Markus Demleitner]
  * Remove libunique-dev from build deps.  Closes: #947513

  [Ole Streicher]
  * Fix watch file

 -- Markus Demleitner <msdemlei@fsfe.org>  Sun, 05 Jan 2020 12:30:26 +0100

luakit (1:2.1-1) unstable; urgency=medium

  [Markus Demleitner]
  * New upstream version 2.1.  See the upstream changelog for
    instructions on migrating existing configuration.
  * Moving to new major.minor versioning scheme now employed by upstream.
    Hence, there is now an epoch on our version number.

  [Helmut Grohne]
  * Fix FTCBFS: (Closes: #923099)
    + cross.patch: Make pkg-config substitutable.
    + Export PKG_CONFIG for all targets.
    + Build-Depends: require a native lua-filesystem for docs.

 -- Markus Demleitner <msdemlei@fsfe.org>  Thu, 28 Feb 2019 14:51:38 +0100

luakit (2017.08.10-1) unstable; urgency=medium

  * New upstream version 2017.08.10
  * Updating dependencies (to webkit2)
  * Closes: #893870

 -- Markus Demleitner <msdemlei@fsfe.org>  Sun, 06 Jan 2019 11:25:03 +0100

luakit (2012.09.13-r1-4) unstable; urgency=medium

  * Patch from Chris Lamb to make the build reproducible.
    closes: #777491.
  * Orphan the package.

 -- Clint Adams <clint@debian.org>  Mon, 25 May 2015 21:45:51 -0400

luakit (2012.09.13-r1-3) unstable; urgency=low

  [ Enrico Tassi ]
  * Use post-wheezy Lua package names in Depends:
    - liblua5.1-filesystem0 -> lua5.1-filesystem

 -- Clint Adams <clint@debian.org>  Thu, 19 Sep 2013 18:20:31 +0200

luakit (2012.09.13-r1-2) unstable; urgency=low

  * Cherry-pick 105530f1542d568a6cf8d236eb1dc84fa982703b and
    d24b8d230c2377e5ee015cbda78098d1da72c899 from luakit-crowd.

 -- Clint Adams <clint@debian.org>  Sat, 13 Jul 2013 11:51:49 -0400

luakit (2012.09.13-r1-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.4.
  * Add build-arch and build-indep targets.
  * Use dpkg-buildflags.
  * Change Homepage to http://luakit.org/ .  closes: #695288.
  * Call update-menus in postinst.
  * Add watch file.
  * Update descriptions.

 -- Clint Adams <clint@debian.org>  Sun, 30 Dec 2012 19:34:33 -0500

luakit (2012.03.25-1) unstable; urgency=low

  * New upstream version.
  * Make DuckDuckGo default search engine.
  * Add Debian tag to DDG query string.

 -- Clint Adams <clint@debian.org>  Tue, 27 Mar 2012 16:08:46 -0400

luakit (2011.07.22-r1+1015-1) unstable; urgency=low

  * New upstream development snapshot.

 -- Clint Adams <clint@debian.org>  Sun, 30 Oct 2011 19:14:53 -0400

luakit (2011.07.22-r1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Clint Adams <clint@debian.org>  Thu, 28 Jul 2011 09:39:24 +0200

luakit (2011.07.22-2) unstable; urgency=low

  * Change WebKitGTK+ build dependency to libwebkitgtk-dev.  closes:
    #635418.

 -- Clint Adams <clint@debian.org>  Tue, 26 Jul 2011 14:36:08 +0200

luakit (2011.07.22-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <clint@debian.org>  Fri, 22 Jul 2011 15:27:45 +0200

luakit (2011.05.06+unique-1) unstable; urgency=low

  * Add libunique support and corresponding build dependency.
  * Fix popup inactivity problem.  closes: #622594.
  * Bump to Standards-Version 3.9.2.

 -- Clint Adams <clint@debian.org>  Wed, 15 Jun 2011 19:18:41 -0400

luakit (2011.05.06-2) unstable; urgency=low

  * Add Debian menu entry from Jonathan Lane.  closes: #629103.

 -- Clint Adams <clint@debian.org>  Sat, 04 Jun 2011 12:27:05 -0400

luakit (2011.05.06-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <clint@debian.org>  Fri, 06 May 2011 10:19:05 -0400

luakit (2011.04.13-1) unstable; urgency=low

  * New upstream bugfix release.
  * Set term to x-terminal-emulator instead of xterm.  closes: #604899.

 -- Clint Adams <clint@debian.org>  Wed, 13 Apr 2011 12:43:47 -0400

luakit (2011.04.04-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <clint@debian.org>  Sun, 03 Apr 2011 12:30:16 -0400

luakit (2010.12.25+0329-1) unstable; urgency=medium

  * New upstream development snapshot.

 -- Clint Adams <clint@debian.org>  Thu, 31 Mar 2011 15:22:37 -0400

luakit (2010.12.25+0327-1) unstable; urgency=low

  * New upstream development snapshot.

 -- Clint Adams <clint@debian.org>  Sun, 27 Mar 2011 13:11:21 -0400

luakit (2010.12.25+0310-1) unstable; urgency=low

  * New upstream development snapshot.

 -- Clint Adams <clint@debian.org>  Sat, 12 Mar 2011 11:02:40 -0500

luakit (2010.12.25+0225-1) unstable; urgency=low

  * New upstream development snapshot.
  * Add build dependency on libsqlite3-dev.

 -- Clint Adams <clint@debian.org>  Fri, 25 Feb 2011 10:33:39 -0500

luakit (2010.12.25-2) unstable; urgency=low

  * New upstream bugfix release (2010.12.25-r1).

 -- Clint Adams <clint@gnu.org>  Sun, 26 Dec 2010 21:24:58 -0500

luakit (2010.12.25-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <clint@gnu.org>  Sat, 25 Dec 2010 09:14:36 -0500

luakit (2010.09.24+whatthelol-1) unstable; urgency=low

  * New upstream development snapshot.

 -- Clint Adams <clint@gnu.org>  Fri, 03 Dec 2010 21:20:41 -0500

luakit (2010.09.24+veterans-1) unstable; urgency=low

  * New upstream development snapshot.
  * Remove misleading http_proxy line from globals.lua.
    closes: #603037.

 -- Clint Adams <clint@gnu.org>  Thu, 11 Nov 2010 18:26:21 -0500

luakit (2010.09.24+halloween-2) unstable; urgency=low

  * Add dependency on liblua5.1-filesystem0.  closes: #602046.

 -- Clint Adams <schizo@debian.org>  Wed, 03 Nov 2010 16:01:51 -0400

luakit (2010.09.24+halloween-1) unstable; urgency=low

  * New upstream development snapshot.

 -- Clint Adams <schizo@debian.org>  Sun, 31 Oct 2010 11:13:58 -0400

luakit (2010.09.24-1) unstable; urgency=low

  * New upstream release.
    - Drop build-dependency on gperf.
    - Add build dependency on lua5.1.

 -- Clint Adams <schizo@debian.org>  Fri, 24 Sep 2010 06:31:14 -0400

luakit (2010.08.30-2) unstable; urgency=low


