=== debian/control ===
Source: luakit
Section: web
Priority: optional
Maintainer: Markus Demleitner <msdemlei@fsfe.org>
Standards-Version: 4.3.0
Build-Depends: debhelper (>=9), help2man, libluajit-5.1-dev, libsqlite3-dev, libgtk-3-dev, libwebkit2gtk-4.0-dev, luajit, lua-filesystem:native
Homepage: http://luakit.github.io/
Vcs-Git: https://salsa.debian.org/debian/luakit.git
Vcs-Browser: https://salsa.debian.org/debian/luakit

Package: luakit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lua5.1-filesystem
Description: fast and small web browser extensible by Lua
 Luakit is a highly-configurable browser framework based on WebKitGTK+.
 It is very fast and extensible by Lua.  It is primarily targeted at power
 users, developers and any people with too much time on their hands who
 want to have fine-grained control over their web browser's behaviour and
 interface.
