=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/buildtools.mk
export PKG_CONFIG ?= pkg-config
export DH_VERBOSE = 1
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -fstack-protector-strong -Wformat -Werror=format-security
export DEB_CPPFLAGS_MAINT_APPEND  = -Wdate-time -D_FORTIFY_SOURCE=2
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,-z,relro

export VERSION='2.0.0'
export PREFIX=/usr
export DEVELOPMENT_PATHS=0
export USE_LUAJIT=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr DEVELOPMENT_PATHS=0 USE_LUAJIT=1

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	rm debian/luakit/usr/share/luakit/resources/icons/COPYING
	# some documentation is used in-program for help files and such;
	# link it from docs, and move out the rest from there.
	mkdir -p debian/luakit/usr/share/doc/luakit
	mv debian/luakit/usr/share/luakit/doc/README.md \
		debian/luakit/usr/share/doc/luakit/
	mv debian/luakit/usr/share/luakit/doc/AUTHORS \
		debian/luakit/usr/share/doc/luakit/
	ln -s /usr/share/luakit/doc/index.html \
		debian/luakit/usr/share/doc/luakit/
	ln -s /usr/share/luakit/doc/classes \
		debian/luakit/usr/share/doc/luakit/
	ln -s /usr/share/luakit/doc/pages \
		debian/luakit/usr/share/doc/luakit/
	ln -s /usr/share/luakit/doc/modules \
		debian/luakit/usr/share/doc/luakit/
