## luakit 2.1+git2020.08.04

=== debian/changelog ===
luakit (1:2.1+git2020.08.04-1) unstable; urgency=medium

  * Change watch file temporarily to pull from a local tag (upstream
    hasn't tagged yet); calling this version 2.1+git2020-08-04
  * Many changes leading up to new upstream release (probably 2.2),
    including some bug fixes.
  * Closes: #946362, #957511

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Wed, 05 Aug 2020 09:17:25 +0200
