=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/msdemlei/luakit/tags .*/v?(2\.[a-z0-9+-]+)\.tar\.gz
