## luakit 2.2.1

=== debian/changelog ===
luakit (1:2.2.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Markus Demleitner <msdemlei@fsfe.org>  Tue, 22 Sep 2020 15:39:32 +0200

luakit (1:2.2.1-1) unstable; urgency=low

  * New upstream version 2.2.1
  * Watching upstream luakit again

 -- Markus Demleitner <msdemlei@fsfe.org>  Sun, 20 Sep 2020 14:44:20 +0200

luakit (1:2.1+git2020.08.04-1) unstable; urgency=low

  * Change watch file temporarily to pull from a local tag (upstream
    hasn't tagged yet); calling this version 2.1+git2020-08-04
  * Many changes leading up to new upstream release (probably 2.2),
    including some bug fixes.
  * Closes: #946362, #957511

 -- Markus Demleitner <msdemlei@fsfe.org>  Wed, 05 Aug 2020 09:17:25 +0200
