=== debian/control ===
--- 
+++ 
@@ -3,7 +3,18 @@
 Priority: optional
 Maintainer: Markus Demleitner <msdemlei@fsfe.org>
 Standards-Version: 4.3.0
-Build-Depends: debhelper (>=9), help2man, libluajit-5.1-dev, libsqlite3-dev, libgtk-3-dev, libwebkit2gtk-4.0-dev, luajit, lua-filesystem:native
+Build-Depends: 
+	help2man, 
+	libluajit-5.1-dev, 
+	libsqlite3-dev, 
+	libgtk-3-dev, 
+	libwebkit2gtk-4.0-dev, 
+	luajit, 
+	lua-filesystem:native,
+	lua-filesystem,
+	lua-check,
+	lua-luassert,
+	debhelper-compat (=13)
 Homepage: http://luakit.github.io/
 Vcs-Git: https://salsa.debian.org/debian/luakit.git
 Vcs-Browser: https://salsa.debian.org/debian/luakit
