=== debian/changelog ===
luakit (1:2.3-1) unstable; urgency=medium

  * New upstream version 2.3
  * Adding a provides: www-browser (Closes: #996772)
  * Adding a workaround for occasionally failing doc builds.

 -- Markus Demleitner <msdemlei@fsfe.org>  Mon, 06 Dec 2021 18:47:12 +0100
