=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
 Package: luakit
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lua5.1-filesystem
+Provides: www-browser
 Description: fast and small web browser extensible by Lua
  Luakit is a highly-configurable browser framework based on WebKitGTK+.
  It is very fast and extensible by Lua.  It is primarily targeted at power
