=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/buildtools.mk
 export PKG_CONFIG ?= pkg-config
 export DH_VERBOSE = 1
@@ -6,7 +7,8 @@
 export DEB_CPPFLAGS_MAINT_APPEND  = -Wdate-time -D_FORTIFY_SOURCE=2
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,-z,relro
 
-export VERSION='2.0.0'
+# parallel builds make document generation shaky
+export VERSION=${DEB_VERSION_UPSTREAM}
 export PREFIX=/usr
 export DEVELOPMENT_PATHS=0
 export USE_LUAJIT=1
@@ -15,7 +17,7 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- PREFIX=/usr DEVELOPMENT_PATHS=0 USE_LUAJIT=1
+	dh_auto_build --no-parallel -- PREFIX=/usr DEVELOPMENT_PATHS=0 USE_LUAJIT=1
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr
