## luakit 2.3.1

=== debian/changelog ===
luakit (1:2.3.1-3) unstable; urgency=medium

  * No longer using luajit to build on s390 (which has had a number of
    problems in the past).

 -- Markus Demleitner <msdemlei@fsfe.org>  Sat, 29 Oct 2022 11:28:16 +0200

luakit (1:2.3.1-2) unstable; urgency=medium

  * Dropping lintian-placating Makefile patch because it's upstreamed
  * Adding a patch to fix incompatibility with newer glibs (Closes: #1020404)

 -- Markus Demleitner <msdemlei@fsfe.org>  Wed, 21 Sep 2022 20:16:43 +0200

luakit (1:2.3.1-1) unstable; urgency=medium

  * Less insane workaround for unstable doc building
  * New upstream version 2.3.1

 -- Markus Demleitner <msdemlei@fsfe.org>  Wed, 31 Aug 2022 20:51:26 +0200
