=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Standards-Version: 4.3.0
 Build-Depends: 
 	help2man, 
+	liblua5.1-dev,
 	libluajit-5.1-dev, 
 	libsqlite3-dev, 
 	libgtk-3-dev,
