=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,25 @@
 export VERSION=${DEB_VERSION_UPSTREAM}
 export PREFIX=/usr
 export DEVELOPMENT_PATHS=0
-export USE_LUAJIT=1
+
+# luajit appears somewhat erratic on s390 (in 2022).
+# USE_LUAJIT=1 is the default.
+ARCH=$(subst s390x,s390,$(shell uname -m))
+ifeq ($(ARCH),s390)
+	export USE_LUAJIT=0
+	export LUA_PKG_NAME=lua51
+else
+	# For reproducable doc building -- see 
+	# https://github.com/luakit/luakit/issues/975
+	export USE_LUAJIT=1
+	export LUA_BIN_NAME=luajit -O2
+endif
 
 %:
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build --no-parallel -- PREFIX=/usr DEVELOPMENT_PATHS=0 USE_LUAJIT=1
+	dh_auto_build --no-parallel -- PREFIX=/usr DEVELOPMENT_PATHS=0
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr
