## luakit 2.3.3

=== Makefile ===
--- 
+++ 
@@ -32,6 +32,7 @@
 	@echo "XDGPREFIX    = $(XDGPREFIX)"
 	@echo "PIXMAPDIR    = $(PIXMAPDIR)"
 	@echo "APPDIR       = $(APPDIR)"
+	@echo "LIBDIR       = $(LIBDIR)"
 	@echo
 	@echo build targets:
 	@echo "SRCS     = $(SRCS)"
@@ -61,7 +62,7 @@
 
 $(EXT_OBJS) : %.o : %.c
 	@echo $(CC) -c $< -o $@
-	@$(CC) -c $(CFLAGS) -DLUAKIT_WEB_EXTENSION -fpic $(CPPFLAGS) $< -o $@
+	@$(CC) -c $(CFLAGS) -DLUAKIT_WEB_EXTENSION -fPIC $(CPPFLAGS) $< -o $@
 
 widgets/webview.o: $(wildcard widgets/webview/*.c)
 
@@ -93,32 +94,33 @@
 	rm -rf doc/apidocs doc/html luakit $(OBJS) $(EXT_OBJS) $(TSRC) $(THEAD) buildopts.h luakit.1 luakit.1.gz luakit.so
 
 install: all
-	install -d $(DESTDIR)$(PREFIX)/share/luakit/
-	install -d $(DESTDIR)$(DOCDIR) $(DESTDIR)$(DOCDIR)/classes $(DESTDIR)$(DOCDIR)/modules $(DESTDIR)$(DOCDIR)/pages
+	install -d $(DESTDIR)$(DOCDIR)/classes
+	install -d $(DESTDIR)$(DOCDIR)/modules
+	install -d $(DESTDIR)$(DOCDIR)/pages
 	install -m644 README.md AUTHORS COPYING.GPLv3 $(DESTDIR)$(DOCDIR)
 	install -m644 doc/apidocs/classes/* $(DESTDIR)$(DOCDIR)/classes
 	install -m644 doc/apidocs/modules/* $(DESTDIR)$(DOCDIR)/modules
 	install -m644 doc/apidocs/pages/* $(DESTDIR)$(DOCDIR)/pages
 	install -m644 doc/apidocs/*.html $(DESTDIR)$(DOCDIR)
-	install -d $(DESTDIR)$(PREFIX)/share/luakit/lib $(DESTDIR)$(PREFIX)/share/luakit/lib/lousy $(DESTDIR)$(PREFIX)/share/luakit/lib/lousy/widget
+	install -d $(DESTDIR)$(PREFIX)/share/luakit/lib/lousy/widget
 	install -m644 lib/*.* $(DESTDIR)$(PREFIX)/share/luakit/lib
 	install -m644 lib/lousy/*.* $(DESTDIR)$(PREFIX)/share/luakit/lib/lousy
 	install -m644 lib/lousy/widget/*.* $(DESTDIR)$(PREFIX)/share/luakit/lib/lousy/widget
-	install -d $(DESTDIR)$(PREFIX)/lib/luakit
-	install -m644 luakit.so $(DESTDIR)$(PREFIX)/lib/luakit/luakit.so
+	install -d $(DESTDIR)$(LIBDIR)
+	install -m644 luakit.so $(DESTDIR)$(LIBDIR)/luakit.so
 	install -d $(DESTDIR)$(PREFIX)/bin
 	install luakit $(DESTDIR)$(PREFIX)/bin/luakit
 	install -d $(DESTDIR)$(XDGPREFIX)/luakit/
 	install -m644 config/*.lua $(DESTDIR)$(XDGPREFIX)/luakit/
 	install -d $(DESTDIR)$(PIXMAPDIR)
 	install -m644 extras/luakit.png $(DESTDIR)$(PIXMAPDIR)
+	install -m644 extras/luakit.svg $(DESTDIR)$(PIXMAPDIR)
 	install -d $(DESTDIR)$(APPDIR)
 	install -m644 extras/luakit.desktop $(DESTDIR)$(APPDIR)
 	install -d $(DESTDIR)$(MANPREFIX)/man1/
 	install -m644 luakit.1.gz $(DESTDIR)$(MANPREFIX)/man1/
-	mkdir -p resources
-	find resources -type d -exec install -d $(DESTDIR)$(PREFIX)/share/luakit/'{}' \;
-	find resources -type f -exec sh -c 'f="{}"; install -m644 "$$f" "$(DESTDIR)$(PREFIX)/share/luakit/$$(dirname $$f)"' \;
+	install -d $(DESTDIR)$(PREFIX)/share/luakit/resources/icons
+	for i in resources/icons/*; do install -m644 "$$i" "$(DESTDIR)$(PREFIX)/share/luakit/resources/icons"; done
 
 uninstall:
 	rm -rf $(DESTDIR)$(PREFIX)/bin/luakit $(DESTDIR)$(PREFIX)/share/luakit $(DESTDIR)$(PREFIX)/lib/luakit
@@ -126,7 +128,7 @@
 	rm -rf $(DESTDIR)$(APPDIR)/luakit.desktop $(DESTDIR)$(PIXMAPDIR)/luakit.png
 
 tests/util.so: tests/util.c Makefile
-	$(CC) -fpic $(CFLAGS) $(CPPFLAGS) -shared $< $(LDFLAGS) -o $@
+	$(CC) -fPIC $(CFLAGS) $(CPPFLAGS) -shared $< $(LDFLAGS) -o $@
 
 run-tests: luakit luakit.so tests/util.so
 	@$(LUA_BIN_NAME) tests/run_test.lua
