=== debian/changelog ===
luakit (1:2.3.3-1) unstable; urgency=medium

  * New upstream version 2.3.3.
  * Removing the pcre patch.

 -- Markus Demleitner <msdemlei@fsfe.org>  Thu, 01 Dec 2022 10:18:24 +0100
