=== debian/control ===
--- 
+++ 
@@ -2,21 +2,21 @@
 Section: web
 Priority: optional
 Maintainer: Markus Demleitner <msdemlei@fsfe.org>
-Standards-Version: 4.3.0
-Build-Depends: 
-	help2man, 
+Standards-Version: 4.6.1
+Build-Depends:
+	help2man,
 	liblua5.1-dev,
-	libluajit-5.1-dev, 
-	libsqlite3-dev, 
-	libgtk-3-dev, 
-	libwebkit2gtk-4.0-dev, 
-	luajit, 
+	libluajit-5.1-dev,
+	libsqlite3-dev,
+	libgtk-3-dev,
+	libwebkit2gtk-4.0-dev,
+	luajit,
 	lua-filesystem:native,
 	lua-filesystem,
 	lua-check,
 	lua-luassert,
 	debhelper-compat (=13)
-Homepage: http://luakit.github.io/
+Homepage: https://luakit.github.io/
 Vcs-Git: https://salsa.debian.org/debian/luakit.git
 Vcs-Browser: https://salsa.debian.org/debian/luakit
