=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/luakit-$1\.tar\.gz/ \
  https://github.com/luakit/luakit/tags .*/v?(2\.[.a-z0-9+-]+)\.tar\.gz
