## luakit 2.3.6

=== debian/changelog ===
luakit (1:2.3.6-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:57:11 +1100

luakit (1:2.3.6-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:36:42 +0000

luakit (1:2.3.6-1) unstable; urgency=medium

  * New upstream version 2.3.6.
  * Hence, dropping the 4.1 API patches.

 -- Markus Demleitner <msdemlei@fsfe.org>  Sun, 04 Feb 2024 15:25:55 +0100

luakit (1:2.3.3-2) unstable; urgency=medium

  * Cherry-picking patches for using 4.1 API (thanks, Jeremy)

 -- Markus Demleitner <msdemlei@fsfe.org>  Mon, 15 Jan 2024 08:39:42 +0100
