=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: luakit
 Section: web
 Priority: optional
-Maintainer: Markus Demleitner <msdemlei@fsfe.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Markus Demleitner <msdemlei@fsfe.org>
 Standards-Version: 4.6.1
 Build-Depends:
 	help2man,
@@ -9,7 +10,7 @@
 	libluajit-5.1-dev,
 	libsqlite3-dev,
 	libgtk-3-dev,
-	libwebkit2gtk-4.0-dev,
+	libwebkit2gtk-4.1-dev,
 	luajit,
 	lua-filesystem:native,
 	lua-filesystem,
