## luakit 2.4.0

=== debian/changelog ===
luakit (1:2.4.0-1) unstable; urgency=medium

  * Now using sensible-utils (Closes: #1074369)
  * New upstream version 2.4.0

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Sat, 15 Feb 2025 15:40:24 +0100
