=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: luakit
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Markus Demleitner <msdemlei@fsfe.org>
+Maintainer: Markus Demleitner <msdemlei@fsfe.org>
 Standards-Version: 4.6.1
 Build-Depends:
 	help2man,
@@ -23,7 +22,8 @@
 
 Package: luakit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lua5.1-filesystem
+Depends: ${shlibs:Depends}, ${misc:Depends}, lua5.1-filesystem,
+         sensible-utils (>= 0.0.18~), xterm | x-terminal-emulator
 Provides: www-browser
 Description: fast and small web browser extensible by Lua
  Luakit is a highly-configurable browser framework based on WebKitGTK+.
