=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DH_VERBOSE = 1
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -fstack-protector-strong -Wformat -Werror=format-security
 export DEB_CPPFLAGS_MAINT_APPEND  = -Wdate-time -D_FORTIFY_SOURCE=2
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,-z,relro
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,relro
 
 # parallel builds make document generation shaky
 export VERSION=${DEB_VERSION_UPSTREAM}
@@ -19,7 +19,7 @@
 	export USE_LUAJIT=0
 	export LUA_PKG_NAME=lua51
 else
-	# For reproducable doc building -- see 
+	# For reproducable doc building -- see
 	# https://github.com/luakit/luakit/issues/975
 	export USE_LUAJIT=1
 	export LUA_BIN_NAME=luajit -O2
