## luakit 2010.12.25

=== Makefile ===
--- 
+++ 
@@ -6,8 +6,8 @@
 THEAD = common/tokenize.h
 TSRC  = common/tokenize.c
 
-SRCS  = $(filter-out ${TSRC},$(wildcard *.c) $(wildcard common/*.c) $(wildcard widgets/*.c)) ${TSRC}
-HEADS = $(wildcard *.h) $(wildcard common/*.h) $(wildcard widgets/*.h) ${THEAD} globalconf.h
+SRCS  = $(filter-out ${TSRC},$(wildcard *.c) $(wildcard common/*.c) $(wildcard classes/*.c) $(wildcard widgets/*.c)) ${TSRC}
+HEADS = $(wildcard *.h) $(wildcard common/*.h) $(wildcard widgets/*.h) $(wildcard classes/*.h) ${THEAD} globalconf.h
 OBJS  = $(foreach obj,$(SRCS:.c=.o),$(obj))
 
 all: options newline luakit luakit.1
