=== debian/changelog ===
luakit (2010.12.25-3ubuntu1) natty; urgency=low

  * Change build-depends from libwebkit-dev to libwebkitgtk-dev as a
    part of webkit transition.
    - update debian/control

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 22 Jan 2011 00:04:07 +0530

luakit (2010.12.25-3) unstable; urgency=low

  * New upstream bugfix release (2010.12.25-r2).

 -- Clint Adams <clint@gnu.org>  Tue, 28 Dec 2010 15:41:47 -0500
