=== debian/control ===
Source: luakit
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Clint Adams <clint@gnu.org>
Standards-Version: 3.9.1
Build-Depends: liblua5.1-0-dev, libgtk2.0-dev, libwebkitgtk-dev, help2man, lua5.1
Homepage: http://www.luakit.org/
Vcs-Git: git://git.debian.org/collab-maint/luakit.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/luakit.git;a=summary

Package: luakit
Architecture: any
Section: web
Depends: ${shlibs:Depends}, liblua5.1-filesystem0
Description: A fast and small web browser extensible by Lua
 Luakit is a small web browser created by binding Lua to WebKitGTK.
