=== debian/rules ===
#!/usr/bin/make -f
INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755

package=luakit

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

build:
	$(checkdir)

	$(MAKE) PREFIX=/usr
	touch build

clean:
	$(checkdir)
	-rm -f build
	$(MAKE) clean
	-rm -f `find . -name "*~"` \
	        debian/files* core debian/*ubstvars
	-rm -rf debian/luakit

install: build
	$(checkdir)
	$(INSTALL_DIR) debian/$(package)/usr/bin
	$(MAKE) install PREFIX=/usr DESTDIR=debian/$(package)
	rm -rf debian/$(package)/usr/share/luakit/docs
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	strip --remove-section=.comment --remove-section=.note \
		debian/$(package)/usr/bin/luakit
endif


binary-indep:	checkroot
	$(checkdir)

binary-arch:	checkroot build install
	$(checkdir)

	cd debian/$(package) && $(INSTALL_DIR) usr/share/doc/$(package) \
		DEBIAN

	$(INSTALL_FILE) debian/copyright debian/$(package)/usr/share/doc/$(package)/copyright
	$(INSTALL_FILE) debian/changelog debian/$(package)/usr/share/doc/$(package)/changelog.Debian
	$(INSTALL_FILE) debian/conffiles debian/$(package)/DEBIAN/conffiles
	$(INSTALL_SCRIPT) debian/postinst debian/$(package)/DEBIAN/postinst
	$(INSTALL_SCRIPT) debian/prerm debian/$(package)/DEBIAN/prerm

	gzip -9f `find debian/$(package)/usr/share/doc -type f ! -name "copyright"`
	gzip -9f debian/$(package)/usr/share/man/man1/luakit.1
	dpkg-shlibdeps -Tdebian/substvars debian/$(package)/usr/bin/luakit
	dpkg-gencontrol -ldebian/changelog -isp -p$(package) -Tdebian/substvars -Pdebian/luakit
	cd debian/$(package) && find * -type f ! -regex '^DEBIAN/.*' ! -path "etc/xdg/$(package)/*.lua" -print0 | xargs -r0 md5sum > DEBIAN/md5sums

	chmod a-x debian/$(package)/etc/xdg/luakit/*.lua
	chmod a-x debian/$(package)/usr/share/luakit/lib/lousy/*.lua
	chown -R root:root debian/$(package)
	chmod -R go=rX debian/$(package)

	dpkg --build debian/$(package) ..

define checkdir
	test -f debian/rules
endef

binary:		binary-arch

prebuild:
	@true

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot prebuild install
