=== debian/changelog ===
luakit (2011.04.13-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. Remaining change:
    - Change build-depends from libwebkit-dev to libwebkitgtk-dev as a
      part of webkit transition.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 05 May 2011 11:47:16 +0530
