=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Clint Adams <clint@gnu.org>
+XSBC-Original-Maintainer: Clint Adams <clint@debian.org>
 Standards-Version: 3.9.1
-Build-Depends: liblua5.1-0-dev, libgtk2.0-dev, libwebkitgtk-dev, help2man, lua5.1
+Build-Depends: liblua5.1-0-dev, libgtk2.0-dev, libwebkitgtk-dev, help2man, lua5.1, libsqlite3-dev
 Homepage: http://www.luakit.org/
 Vcs-Git: git://git.debian.org/collab-maint/luakit.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/luakit.git;a=summary
