=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 build:
 	$(checkdir)
 
-	$(MAKE) PREFIX=/usr
+	$(MAKE) PREFIX=/usr DEVELOPMENT_PATHS=0
 	touch build
 
 clean:
