## luakit 2012.03.25

=== Makefile ===
--- 
+++ 
@@ -39,6 +39,8 @@
 .c.o:
 	@echo $(CC) -c $< -o $@
 	@$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $@
+
+widgets/webview.o: $(wildcard widgets/webview/*.c)
 
 luakit: $(OBJS)
 	@echo $(CC) -o $@ $(OBJS)
