## luakit 2012.09.13-r1

=== debian/changelog ===
luakit (2012.09.13-r1-8) unstable; urgency=medium

  * QA upload.
  * Repackage source without source-less jquery.min.js.
  * Use libjs-jquery instead. Closes: #737435.

 -- Víctor Cuadrado Juan <me@viccuad.me>  Tue, 08 Sep 2015 18:05:00 +0200

luakit (2012.09.13-r1-7) unstable; urgency=medium

  * QA upload.
  * Change debian/patches/2012.09.13-r1-1.diff to use https on several
    search engines allowing it.
  * Add debian/patches/soup-ssl-strict-true.diff to not allow navigation
    on sites with invalid/expired ssl certificates. Closes: #790324.

 -- Santiago Vila <sanvila@debian.org>  Thu, 03 Sep 2015 23:35:48 +0200

luakit (2012.09.13-r1-6) unstable; urgency=medium

  * QA upload.
  * Tidy up debian/patches a little bit.
  * Calculate md5sums in a deterministic way.

 -- Santiago Vila <sanvila@debian.org>  Fri, 28 Aug 2015 22:27:52 +0200

luakit (2012.09.13-r1-5) unstable; urgency=medium

  * QA upload.
  [ Maria Valentina Marin ]
  * Fix mtimes before building binary packages. Closes: #792977.

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Aug 2015 19:37:18 +0200
