=== debian/control ===
Source: luakit
Section: web
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.6
Build-Depends: liblua5.1-0-dev, libgtk2.0-dev, libwebkitgtk-dev, help2man, lua5.1, libsqlite3-dev, libunique-dev
Homepage: http://luakit.org/
Vcs-Git: git://git.debian.org/collab-maint/luakit.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/luakit.git;a=summary

Package: luakit
Architecture: any
Depends: ${shlibs:Depends}, libjs-jquery, lua5.1-filesystem
Description: fast and small web browser extensible by Lua
 Luakit is a highly-configurable browser framework based on WebKitGTK+.
 It is very fast and extensible by Lua.  It is primarily targeted at power
 users, developers and any people with too much time on their hands who
 want to have fine-grained control over their web browser's behaviour and
 interface.
