=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,36 @@
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-build:
+DEB_BUILD_ARCH_OS ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
+DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
+BUILD_DATE := $(shell dpkg-parsechangelog -S Date)
+
+STRIP=strip
+
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+	CONFARGS = --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
+	STRIP=$(DEB_HOST_GNU_TYPE)-strip
+endif
+
+CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+
+build: build-indep build-arch
+
+build-indep:
+
+build-arch:
 	$(checkdir)
 
 	$(MAKE) PREFIX=/usr DEVELOPMENT_PATHS=0
-	touch build
+	touch build-arch
 
 clean:
 	$(checkdir)
-	-rm -f build
+	-rm -f build build-arch
 	$(MAKE) clean
 	-rm -f `find . -name "*~"` \
 	        debian/files* core debian/*ubstvars
@@ -52,17 +73,19 @@
 	$(INSTALL_SCRIPT) debian/postinst debian/$(package)/DEBIAN/postinst
 	$(INSTALL_SCRIPT) debian/prerm debian/$(package)/DEBIAN/prerm
 
-	gzip -9f `find debian/$(package)/usr/share/doc -type f ! -name "copyright"`
-	gzip -9f debian/$(package)/usr/share/man/man1/luakit.1
+	gzip -9nf `find debian/$(package)/usr/share/doc -type f ! -name "copyright"`
+	gzip -9nf debian/$(package)/usr/share/man/man1/luakit.1
 	dpkg-shlibdeps -Tdebian/substvars debian/$(package)/usr/bin/luakit
 	dpkg-gencontrol -ldebian/changelog -isp -p$(package) -Tdebian/substvars -Pdebian/luakit
-	cd debian/$(package) && find * -type f ! -regex '^DEBIAN/.*' ! -path "etc/xdg/$(package)/*.lua" -print0 | xargs -r0 md5sum > DEBIAN/md5sums
-
+	cd debian/$(package) && find * -type f ! -regex '^DEBIAN/.*' ! -path "etc/xdg/$(package)/*.lua" -print0 |\
+		LC_ALL=C sort -z | xargs -r0 md5sum > DEBIAN/md5sums
+	cd debian/$(package) && ln -s ../../javascript/jquery/jquery.min.js usr/share/luakit/lib/jquery.min.js
 	chmod a-x debian/$(package)/etc/xdg/luakit/*.lua
 	chmod a-x debian/$(package)/usr/share/luakit/lib/lousy/*.lua
 	chown -R root:root debian/$(package)
 	chmod -R go=rX debian/$(package)
-
+	find debian/$(package) -newermt '$(BUILD_DATE)' -print0 |\
+		xargs -0r touch -h --date='$(BUILD_DATE)'
 	dpkg --build debian/$(package) ..
 
 define checkdir
@@ -78,4 +101,4 @@
 	$(checkdir)
 	test root = "`whoami`"
 
-.PHONY: binary binary-arch binary-indep clean checkroot prebuild install
+.PHONY: build build-indep binary binary-arch binary-indep clean checkroot prebuild install
