=== debian/watch ===
version=3
https://github.com/mason-larobina/luakit/tags /mason-larobina/luakit/archive/(.+).tar.gz
